Package org.apache.jmeter.report.processor.graph

# Class NameSeriesSelector

java.lang.Object
org.apache.jmeter.report.processor.graph.AbstractSeriesSelector
org.apache.jmeter.report.processor.graph.NameSeriesSelector

All Implemented Interfaces:
  `SampleSelector<Iterable<String>>`, `GraphSeriesSelector`

public class NameSeriesSelector extends AbstractSeriesSelector
The class NameSerieSelector provides a projection of a sample to its name.

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`NameSeriesSelector()`
Instantiates a new name series selector.

## Method Summary

Modifier and Type
Method
Description
`Iterable<String>`
`select(Sample sample)`
Do the projection from the specified sample

### Methods inherited from class org.apache.jmeter.report.processor.graph.AbstractSeriesSelector

`allowsControllersDiscrimination, withDefaultIfEmpty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NameSeriesSelector

public NameSeriesSelector()
Instantiates a new name series selector.

## Method Details

### select

public Iterable<String> select(Sample sample)
Description copied from interface: `SampleSelector`
Do the projection from the specified sample

Parameters:
  `sample` - the sample
Returns:
  the projection result